%define desktop_file 1
%if %{desktop_file}
%define desktop_file_utils_version 0.2.93
%endif
Summary: The Freeciv multi-player strategy game.
Name:		freeciv
Version:	1.14.2
Release: 1
Source:		ftp://freeciv.org/pub/freeciv/stable/%{name}-%{version}.tar.bz2
Source1:	freeciv-desktop.tar.bz2
Source2:	http://www.freeciv.org/ftp/contrib/sounds/sets/stdsounds2.tar.gz
Source3:	NEWS-1.14.2
Patch1:         freeciv-desktop.patch
Patch2:		freeciv-desktop-xauth.patch
Patch3:		freeciv-1.13.0-aifill.patch
Patch4:		freeciv-chown.patch
License:	GPL
Group: Amusements/Games
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildPrereq:	gtk2-devel >= 2.0.5 imlib-devel
%if %{desktop_file}
Requires: /usr/bin/desktop-file-install
BuildPrereq: desktop-file-utils >= %{desktop_file_utils_version}
%endif

%description
Freeciv is a turn-based, multi-player, X based strategy game. Freeciv
is generally comparable to, and has compatible rules with, the
Civilization II(R) game by Microprose(R). In Freeciv, each player is
the leader of a civilization, and is competing with the other players
in order to become the leader of the greatest civilization.

%prep
%setup -a 1
%patch1 -p1 -b .desktop
%patch2 -p0 -b .xauth
%patch3 -p1 -b .aifill
%patch4 -p0 -b .chown

%build
export OLD_PO_FILE_INPUT=yes
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
%configure --enable-debug=no --enable-client=gtk-2.0
	   #--with-gtk-prefix=/usr/lib/gtk-2.0 #not used because of with-xaw3d
           #--prefix=/usr --bindir=/usr/bin  --with-glib-prefix=/usr 
make
cp %{SOURCE3} .

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
chmod +x desktop/*wrapper
cp desktop/*wrapper $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Games $RPM_BUILD_ROOT/usr/share/pixmaps
cp desktop/*.desktop $RPM_BUILD_ROOT/etc/X11/applnk/Games

%if %{desktop_file}
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
desktop-file-install --vendor net \
        --dir $RPM_BUILD_ROOT/usr/share/applications \
        --add-category "Application;Game;X-Red-Hat-Extra" \
        $RPM_BUILD_ROOT/etc/X11/applnk/Games/freeciv-client.desktop
desktop-file-install --vendor net \
        --dir $RPM_BUILD_ROOT/usr/share/applications \
        --add-category "Application;Game;X-Red-Hat-Extra" \
        $RPM_BUILD_ROOT/etc/X11/applnk/Games/freeciv-server.desktop
rm $RPM_BUILD_ROOT/etc/X11/applnk/Games/*.desktop
%endif

cp desktop/*.xpm $RPM_BUILD_ROOT/usr/share/pixmaps

pushd client
perl -p -i -e "s/CFLAGS = $RPM_OPT_FLAGS/CFLAGS = $RPM_OPT_FLAGS \`gtk-config --cflags\`/" gui-gtk/Makefile
make clean
for i in 0 1 2 3 4 5 6 7 8 9 10; do
  perl -p -i -e "s/gui-xaw/gui-gtk/" Makefile
  perl -p -i -e "s|-I/usr/X11R6/include|\`glib-config --cflags\` \`gtk-config --cflags\` \`imlib-config --cflags-gdk\` -I/usr/X11R6/include|" Makefile 
  perl -p -i -e "s|-lXaw3d|\`glib-config --libs\` \`gtk-config --libs\` \`imlib-config --libs-gdk\`|" Makefile
done
make
cp civclient $RPM_BUILD_ROOT/usr/bin/civclient-gtk
popd

/usr/bin/install -c civ  $RPM_BUILD_ROOT/usr/bin/civ

/usr/bin/install -d $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
mv $RPM_BUILD_ROOT/usr/share/freeciv/Freeciv $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Freeciv

mv $RPM_BUILD_ROOT/usr/bin/civclient $RPM_BUILD_ROOT/usr/bin/civclient-xaw
ln -sf civclient-gtk $RPM_BUILD_ROOT/usr/bin/civclient

(cd $RPM_BUILD_ROOT/usr/share/freeciv; tar xzf %{SOURCE2}; )

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT 

%files -f %{name}.lang
%defattr(-,root,root)
%if %{desktop_file}
%config /usr/share/applications/*
%doc NEWS*
%else
%config /etc/X11/applnk/Games/*
%endif
%config /usr/X11R6/lib/X11/app-defaults/Freeciv
%{_bindir}/*
%{_datadir}/freeciv
%{_datadir}/pixmaps/*


%changelog
* Mon Sep 13 2004 Karsten Hopp <karsten@redhat.de> 1.14.2-1 
- update to latest stable version

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 23 2004 Karsten Hopp <karsten@redhat.de> 1.14.1-3
- rebuild with new chown syntax

* Mon Feb 23 2004 Tim Waugh <twaugh@redhat.com>
- Use ':' instead of '.' as separator for chown.

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Dec 03 2003 Karsten Hopp <karsten@redhat.de> 1.14.1-1
- update to bugfix release 1.14.1

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 08 2003 Karsten Hopp <karsten@redhat.de> 1.14.0-1
- update

* Thu Feb 20 2003 Karsten Hopp <karsten@redhat.de> 1.13.0-6
- remove last patch (obsolete)

* Wed Feb 19 2003 Karsten Hopp <karsten@redhat.de>
- fix message translation (#84599)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Nov 07 2002 Karsten Hopp <karsten@redhat.de>
- spelling fix (#75021)
- set aifill to 5 on new servers to get some opponents (#72586)

* Thu Aug 01 2002 Karsten Hopp <karsten@redhat.de>
- desktop fixes (#69391)

* Wed Jul 24 2002 Karsten Hopp <karsten@redhat.de>
- 0.1.13
- s/Games/Game in desktop-file-install
- fix URL
- add standard sounds 

* Wed Jul 17 2002 Karsten Hopp <karsten@redhat.de> 1.12.0-6
- fix path to datafiles if FREECIV_PATH is not set (#67922)
- fix desktop files (#67920)
- use desktop-file-install

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jan 24 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.12.0-2
- Rebuild in current environment

* Thu Aug 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.12.0-1
- 1.12.0 (non-beta)

* Tue Jul 31 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.11.4-9
- Rebuild - the fix for #49442 didn't seem to get in last time.

* Mon Jul 30 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.11.4-8
- Fix up demographics (#50119)

* Wed Jun 27 2001 Than Ngo <than@redhat.com>
- support new gettext
- add patch to build against new libtool

* Tue Mar 20 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- use gtk-config instead of glib-config

* Sun Feb 25 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up civclient-wrapper so it doesn't fail silently when started as
  potentially harmful user (Bug #28928)

* Tue Aug  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix warning in civclient-wrapper (Bug 14860)

* Fri Jul 21 2000 Trond Eivind Glomsrd <teg@redhat.com>
- 1.11.4
- move to /usr/bin and /usr/share/freeciv (no more /usr/games)

* Wed Jul 12 2000 Trond Eivind Glomsrd <teg@redhat.com>
- remove icon, glint is obsoleted
- don't use find to build file lists, it claimed to own
  lots of directories
- use %%{_tmppath}

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.11.0 (Bug #13610)
- Add .desktop files (Bug #13610)
- Add BuildPrereq: lines
- fix build

* Thu Jun  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- move to dist
- update
- clean up the spec file
- fix build with gcc 2.96
- make the gtk client default; it's better than the Xaw one by now.

* Thu Feb 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.10.0

* Fri Feb  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.9.2
- use the configure macro

* Sun Nov  7 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- redo RPM for 1.9.0 (many changes to build/install procedure)
